use super::ExpressionNode;
use std::fmt::Debug;

pub struct GroupingExpr(pub Box<ExpressionNode>);

impl GroupingExpr {
	pub(crate) fn new(expr: Box<ExpressionNode>) -> Self {
		Self(expr)
	}
}

impl Debug for GroupingExpr {
	fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
		write!(f, "({:?})", self.0)
	}
}
