use std::fmt::Debug;

pub struct VariableExpr {
	pub var_name: String,
}

impl Debug for VariableExpr {
	fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
		write!(f, "(variable({}))", self.var_name)
	}
}

impl VariableExpr {
	pub fn new(var_name: String) -> Self {
		Self { var_name }
	}
}
