use std::fmt::Display;

#[derive(Debug)]
pub struct RuntimeError;

impl Display for RuntimeError {
	fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
		write!(f, "A runtime error occured")
	}
}
impl std::error::Error for RuntimeError {}
