mod expression_interpreter;
mod statement_interpreter;
pub use super::{error::RuntimeError, types};
use super::{types::Primitive, world::World};

pub trait Interpret {
	fn interpret(&self, world: &mut World) -> Result<Primitive, RuntimeError>;
}
